<div id="search-container">
    <div id="search-input-container">
        <img id="search-img" src="assets/magnifier.png" (click)="onSearchImgClick()">
        <input id="search-input" [ngClass]="searchInputVisible ? 'search-input-expanded' : 'search-input'" spellcheck="false" autocapitalize="off" type="text" [(ngModel)]="searchValue" (keyup.enter)="onSearch()">
    </div>
    <search-slave *ngIf="searchInputVisible" class="search-slave" [results]="searchResults" (clickEmitter)="onClick($event)" [resultsSections]="searchResultsSections" [ngStyle]="{'visibility': searchSlaveVisible ? 'visible': 'collapse'}" ></search-slave>
</div>